module.exports = {
  publicPath: './',
  devServer: {
    proxy: {
      '/api': {
        target: 'http://192.168.0.11:8080',
        changeOrigin: true,
        pathRewrite: {
          '^/api': '/'
        },
      },
      '/api/websocket': {
        target: 'http://192.168.0.11:8080',
        changeOrigin: true,
        ws: true,
        pathRewrite: {
          '^/api': '/'
        },
      },
    }
  },
  transpileDependencies: [
    'vue-echarts',
    'resize-detector'
  ]
}